package com.caliverse.admin.domain.entity;

//권한 등급
public enum ROLE {
    ADMINSEARCH(
                    PERMISSION.ADMIN_READ,
                    PERMISSION.ADMIN_CONFIRM,
                    PERMISSION.ADMIN_UPDATE,
                    PERMISSION.ADMIN_DELETE
    ),
    ADMINLOGSEARCH(
                    PERMISSION.ADMIN_READ
    ),
    AUTHORITYSETTING(
                    PERMISSION.ADMIN_READ,
                    PERMISSION.ADMIN_UPDATE,
                    PERMISSION.ADMIN_DELETE
    )

    ;
    private final PERMISSION[] permissions;

    ROLE(PERMISSION... permissions) {
        this.permissions = permissions;
    }

    public PERMISSION[] getPermissions() {
        return permissions;
    }
}
